Subject: bug#25478: 26.0.50; No hooks are called when auto-saving

From: Glenn Morris <[email-masked]>
Date: Thu, 19 Jan 2017 15:29:04 -0500

Philipp Stephani wrote:

> The Emacs manual states:
>
> "If you want auto-saving to be done in the visited file rather than in
> a separate auto-save file, set the variable
> 'auto-save-visited-file-name' to a non-'nil' value.  In this mode, there
> is no real difference between auto-saving and explicit saving."
>
> However, there is a significant difference between auto-saving and
> explicit saving, even in this mode: auto-saving doesn't run
> before-save-hook, after-save-hook, write-contents-functions, or
> write-file-functions.  Either some of these hooks should be run during
> auto-saving if auto-save-visited-file-name is t, or new hooks should be
> created to run in this case.

The phrasing of the manual can easily be changed if it's creating
unreasonable expectations.
Do you have a use case for autosave running hooks?
One could argue that it is a low-level
operation that should not be modifiable in this way.